/**
 * 
 */
package Model;

/**
 * @author Christophe HAVARD
 *
 */
public interface ILog {
	/**
	 * Return true if the acquisition matched with a signature
	 * @return
	 */
	public boolean isSignatureValid();
	/**
	 * Return true if the acquisition matched with the given user's signature
	 * @return
	 */
	public boolean isUserValid();
	/**
	 * Return true if the log corresponds to a false approbation
	 */
	public boolean isFalseApprobation();
	/**
	 * Return true if the log corresponds to a false refusal
	 */
	public boolean isFalseRefusal();
	/**
	 * Return the log Id
	 */
	public int getLogId();
}
